com.holonplatform.core.datastore

## Enum Datastore.OperationType

- java.lang.Object
- - java.lang.Enum<Datastore.OperationType>
  - - com.holonplatform.core.datastore.Datastore.OperationType

- All Implemented Interfaces:
    Serializable, Comparable<Datastore.OperationType>
  Enclosing interface:
    Datastore

      public static enum Datastore.OperationType
      extends Enum<Datastore.OperationType>

  Enumeration of `Datastore` operation types.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DELETE` Delete operation
    `INSERT` Insert operation
    `UPDATE` Update operation

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Datastore.OperationType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static Datastore.OperationType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### INSERT

          public static final Datastore.OperationType INSERT

      Insert operation

    - #### UPDATE

          public static final Datastore.OperationType UPDATE

      Update operation

    - #### DELETE

          public static final Datastore.OperationType DELETE

      Delete operation

  - ### Method Detail

    - #### values

          public static Datastore.OperationType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Datastore.OperationType c : Datastore.OperationType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Datastore.OperationType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2019 The Holon Platform. All rights reserved.